
#import <appkit/appkit.h>

@class NX10String;

@interface XS3GenericBundle:Object
{

	NXStringTable *messages; // can store localized strings
	id worksView; 		// IBOutlet
//	id preferencesView;	// IBOutlet
//	id infoView;		// not used at this time



}

- (id)dictionnaryFromFile:(const char *)anStringFile;
- (BOOL)loadInterface:(const char*)anInterface;
- (NXImage *)loadImage:(const char*)filename ofType:(const char *)aType;
+ (NXImage *)loadImage:(const char*)filename ofType:(const char *)aType;
- (NXStringTable*)messages;
- (void)setMainView:(Box *)aMainView ToView:(id)theView withOrigin:(NXPoint *)origin;

// bundle specific info
- (NX10String *)genericName;

// view delegate methodes
- (void)preferencesViewDidLoad;
- (void)preferencesViewWillDisplay;
- (void)worksViewDidLoad;
- (id)preferencesView;
- (id)worksView;

@end
